Index: /trunk/src/sys/arch/pmax/ibus/ibusvar.h
===================================================================
--- /trunk/src/sys/arch/pmax/ibus/ibusvar.h	(revision 151)
+++ /trunk/src/sys/arch/pmax/ibus/ibusvar.h	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: ibusvar.h,v 1.17 2007/03/04 06:00:33 christos Exp $	*/
+/*	$NetBSD: ibusvar.h,v 1.17.62.1 2010/12/29 00:12:01 matt Exp $	*/
 
 #ifndef _PMAX_IBUS_IBUSVAR_H_
@@ -7,8 +7,4 @@
 
 struct ibus_attach_args;
-
-struct ibus_softc {
-	struct device	sc_dev;
-};
 
 /*
@@ -28,13 +24,13 @@
 struct ibus_attach_args {
 	const char *ia_name;		/* device name */
-	int	ia_cookie;		/* device cookie */
-	u_int32_t ia_addr;		/* device address (KSEG1) */
-	int	ia_basz;		/* badaddr() size */
+	intptr_t ia_cookie;		/* device cookie */
+	bus_addr_t ia_addr;		/* device address (KSEG1) */
+	bus_size_t ia_basz;		/* badaddr() size */
 };
 
-void	ibusattach __P((struct device *, struct device *, void *));
-int	ibusprint __P((void *, const char *));
-void	ibus_intr_establish __P((struct device *, void *cookie, int level,
-	    int (*handler)(void *), void *arg));
+void	ibusattach(struct device *, struct device *, void *);
+int	ibusprint(void *, const char *);
+void	ibus_intr_establish(struct device *, void *cookie, int level,
+	    int (*handler)(void *), void *arg);
 
 #endif	/* !_PMAX_IBUS_IBUSVAR_H_ */
Index: /trunk/src/sys/arch/pmax/ibus/mcclock_ibus.c
===================================================================
--- /trunk/src/sys/arch/pmax/ibus/mcclock_ibus.c	(revision 151)
+++ /trunk/src/sys/arch/pmax/ibus/mcclock_ibus.c	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: mcclock_ibus.c,v 1.13 2008/01/03 23:02:24 joerg Exp $	*/
+/*	$NetBSD: mcclock_ibus.c,v 1.13.28.1 2010/12/29 00:12:01 matt Exp $	*/
 
 /*
@@ -29,5 +29,5 @@
 
 #include <sys/cdefs.h>			/* RCS ID & Copyright macro defns */
-__KERNEL_RCSID(0, "$NetBSD: mcclock_ibus.c,v 1.13 2008/01/03 23:02:24 joerg Exp $");
+__KERNEL_RCSID(0, "$NetBSD: mcclock_ibus.c,v 1.13.28.1 2010/12/29 00:12:01 matt Exp $");
 
 #include <sys/param.h>
@@ -42,8 +42,6 @@
 #include <pmax/ibus/ibusvar.h>
 
-static int	mcclock_ibus_match __P((struct device *, struct cfdata *,
-		    void *));
-static void	mcclock_ibus_attach __P((struct device *, struct device *,
-		    void *));
+static int	mcclock_ibus_match(device_t, cfdata_t, void *);
+static void	mcclock_ibus_attach(device_t, device_t, void *);
 
 CFATTACH_DECL(mcclock_ibus, sizeof (struct mcclock_pad32_softc),
@@ -51,8 +49,5 @@
 
 static int
-mcclock_ibus_match(parent, match, aux)
-	struct device *parent;
-	struct cfdata *match;
-	void *aux;
+mcclock_ibus_match(device_t parent, cfdata_t cf, void *aux)
 {
 	struct ibus_attach_args *ia = aux;
@@ -61,5 +56,5 @@
 		return (0);
 
-	if (badaddr((void *)ia->ia_addr, sizeof(u_int32_t)))
+	if (badaddr((void *)ia->ia_addr, sizeof(uint32_t)))
 		return (0);
 
@@ -68,10 +63,8 @@
 
 static void
-mcclock_ibus_attach(parent, self, aux)
-	struct device *parent, *self;
-	void *aux;
+mcclock_ibus_attach(device_t parent, device_t self, void *aux)
 {
-	struct ibus_attach_args *ia =aux;
-	struct mcclock_pad32_softc *sc = (struct mcclock_pad32_softc *)self;
+	struct ibus_attach_args *ia = aux;
+	struct mcclock_pad32_softc *sc = device_private(self);
 
 	sc->sc_dp = (struct mcclock_pad32_clockdatum*)ia->ia_addr;
Index: /trunk/src/sys/arch/pmax/ibus/sii_ds.c
===================================================================
--- /trunk/src/sys/arch/pmax/ibus/sii_ds.c	(revision 151)
+++ /trunk/src/sys/arch/pmax/ibus/sii_ds.c	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: sii_ds.c,v 1.3 2007/03/04 06:00:33 christos Exp $	*/
+/*	$NetBSD: sii_ds.c,v 1.3.62.1 2010/12/29 00:12:01 matt Exp $	*/
 
 /*
@@ -17,5 +17,5 @@
 
 #include <sys/cdefs.h>
-__KERNEL_RCSID(0, "$NetBSD: sii_ds.c,v 1.3 2007/03/04 06:00:33 christos Exp $");
+__KERNEL_RCSID(0, "$NetBSD: sii_ds.c,v 1.3.62.1 2010/12/29 00:12:01 matt Exp $");
 
 #include "sii.h"
@@ -43,21 +43,19 @@
 
 
-static void	kn230_copytobuf __P((u_short *src, 	/* NB: must be short aligned */
-		    volatile u_short *dst, int length));
-static void	kn230_copyfrombuf __P((volatile u_short *src, char *dst,
-		    int length));
-
-static void	kn01_copytobuf __P((u_short *src, 	/* NB: must be short aligned */
-		    volatile u_short *dst, int length));
-static void	kn01_copyfrombuf __P((volatile u_short *src, char *dst,
-		    int length));
+static void	kn230_copytobuf(u_short *src, 	/* NB: must be short aligned */
+		    volatile u_short *dst, int length);
+static void	kn230_copyfrombuf(volatile u_short *src, char *dst,
+		    int length);
+
+static void	kn01_copytobuf(u_short *src, 	/* NB: must be short aligned */
+		    volatile u_short *dst, int length);
+static void	kn01_copyfrombuf(volatile u_short *src, char *dst,
+		    int length);
 
 /*
  * Autoconfig definition of driver front-end
  */
-static int	sii_ds_match __P((struct device* parent, struct cfdata *match,
-		    void *aux));
-static void	sii_ds_attach __P((struct device *parent, struct device *self,
-		    void *aux));
+static int	sii_ds_match(device_t, struct cfdata *, void *);
+static void	sii_ds_attach(device_t, device_t, void *);
 
 CFATTACH_DECL(sii_ds, sizeof(struct siisoftc),
@@ -72,8 +70,5 @@
  */
 static int
-sii_ds_match(parent, match, aux)
-	struct device *parent;
-	struct cfdata *match;
-	void *aux;
+sii_ds_match(device_t parent, cfdata_t cf, void *aux)
 {
 	struct ibus_attach_args *ia = aux;
@@ -89,11 +84,8 @@
 
 static void
-sii_ds_attach(parent, self, aux)
-	struct device *parent;
-	struct device *self;
-	void *aux;
+sii_ds_attach(device_t parent, device_t self, void *aux)
 {
 	struct ibus_attach_args *ia = aux;
-	struct siisoftc *sc = (struct siisoftc *) self;
+	struct siisoftc *sc = device_private(self);
 
 	sc->sc_regs = (SIIRegs *)MIPS_PHYS_TO_KSEG1(ia->ia_addr);
@@ -135,8 +127,5 @@
  */
 static void
-kn230_copytobuf(src, dst, len)
-	u_short *src;
-	volatile u_short *dst;
-	int len;
+kn230_copytobuf(u_short *src, volatile u_short *dst, int len)
 {
 	u_int *wsrc = (u_int *)src;
@@ -172,8 +161,7 @@
  */
 static void
-kn230_copyfrombuf(src, dst, len)
-	volatile u_short *src;
-	char *dst;		/* XXX assume 32-bit aligned? */
-	int len;
+kn230_copyfrombuf(volatile u_short *src,
+	char *dst,		/* XXX assume 32-bit aligned? */
+	int len)
 {
 	volatile u_int *wsrc = (volatile u_int *)src;
@@ -213,8 +201,5 @@
 
 static void
-kn01_copytobuf(src, dst, len)
-	u_short *src;
-	volatile u_short *dst;
-	int len;
+kn01_copytobuf(u_short *src, volatile u_short *dst, int len)
 {
 #if defined(DIAGNOSTIC) || defined(DEBUG)
@@ -231,8 +216,7 @@
 
 static void
-kn01_copyfrombuf(src, dst, len)
-	volatile u_short *src;
-	char *dst;		/* XXX assume 32-bit aligned? */
-	int len;
+kn01_copyfrombuf(volatile u_short *src,
+	char *dst,		/* XXX assume 32-bit aligned? */
+	int len)
 {
 #if defined(DIAGNOSTIC) || defined(DEBUG)
Index: /trunk/src/sys/arch/pmax/ibus/siivar.h
===================================================================
--- /trunk/src/sys/arch/pmax/ibus/siivar.h	(revision 151)
+++ /trunk/src/sys/arch/pmax/ibus/siivar.h	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: siivar.h,v 1.2 2006/07/29 19:10:57 ad Exp $	*/
+/*	$NetBSD: siivar.h,v 1.2.80.1 2010/12/29 00:12:01 matt Exp $	*/
 
 #ifndef _SIIVAR_H
@@ -58,17 +58,16 @@
 	int	sc_target;		/* target SCSI ID if connected */
 	ScsiCmd	*sc_cmd[SII_NCMD];	/* active command indexed by ID */
- 	void  (*sii_copytobuf) __P((u_short *src, volatile u_short *dst, int ln));
-	void (*sii_copyfrombuf) __P((volatile u_short *src, char *dst, int len));
+ 	void  (*sii_copytobuf)(u_short *src, volatile u_short *dst, int ln);
+	void (*sii_copyfrombuf)(volatile u_short *src, char *dst, int len);
 
 	State	sc_st[SII_NCMD];	/* state info for each active command */
 };
 
-int	siiintr __P((void *sc));
+int	siiintr(void *sc);
 
 /* Machine-indepedent back-end attach entry point */
 
-void	sii_scsi_request __P((struct scsipi_channel *,
-				scsipi_adapter_req_t, void *));
-void	siiattach __P((struct siisoftc *));
+void	sii_scsi_request(struct scsipi_channel *, scsipi_adapter_req_t, void *);
+void	siiattach(struct siisoftc *);
 
 #endif	/* _SIIVAR_H */
Index: /trunk/src/sys/arch/pmax/include/autoconf.h
===================================================================
--- /trunk/src/sys/arch/pmax/include/autoconf.h	(revision 151)
+++ /trunk/src/sys/arch/pmax/include/autoconf.h	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: autoconf.h,v 1.18 2003/03/22 14:26:43 simonb Exp $ */
+/*	$NetBSD: autoconf.h,v 1.18.126.1 2010/12/24 07:23:41 matt Exp $ */
 
 /*
@@ -41,5 +41,5 @@
 };
 
-void	makebootdev __P((char *));
+void	makebootdev(char *);
 
 #endif	/* !_PMAX_AUTOCONF_H_ */
Index: /trunk/src/sys/arch/pmax/include/bootinfo.h
===================================================================
--- /trunk/src/sys/arch/pmax/include/bootinfo.h	(revision 151)
+++ /trunk/src/sys/arch/pmax/include/bootinfo.h	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: bootinfo.h,v 1.7 2005/12/11 12:18:39 christos Exp $	*/
+/*	$NetBSD: bootinfo.h,v 1.7.96.1 2010/12/24 07:23:41 matt Exp $	*/
 
 /*
@@ -67,5 +67,5 @@
 
 #ifdef _KERNEL
-void	*lookup_bootinfo __P((int));
+void	*lookup_bootinfo(int);
 #endif
 
Index: /trunk/src/sys/arch/pmax/include/bus.h
===================================================================
--- /trunk/src/sys/arch/pmax/include/bus.h	(revision 151)
+++ /trunk/src/sys/arch/pmax/include/bus.h	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: bus.h,v 1.28 2008/04/28 20:23:31 martin Exp $	*/
+/*	$NetBSD: bus.h,v 1.28.18.1 2010/12/24 07:23:41 matt Exp $	*/
 
 /*-
@@ -55,6 +55,6 @@
 
 /*
- *	int bus_space_map __P((bus_space_tag_t t, bus_addr_t addr,
- *	    bus_size_t size, int flags, bus_space_handle_t *bshp));
+ *	int bus_space_map(bus_space_tag_t t, bus_addr_t addr,
+ *	    bus_size_t size, int flags, bus_space_handle_t *bshp);
  *
  * Map a region of bus space.
@@ -65,53 +65,53 @@
 #define	BUS_SPACE_MAP_PREFETCHABLE	0x04
 
-int	bus_space_map __P((bus_space_tag_t, bus_addr_t, bus_size_t,
-	    int, bus_space_handle_t *));
-
-/*
- *	void bus_space_unmap __P((bus_space_tag_t t,
- *	    bus_space_handle_t bsh, bus_size_t size));
+int	bus_space_map(bus_space_tag_t, bus_addr_t, bus_size_t,
+	    int, bus_space_handle_t *);
+
+/*
+ *	void bus_space_unmap(bus_space_tag_t t,
+ *	    bus_space_handle_t bsh, bus_size_t size);
  *
  * Unmap a region of bus space.
  */
 
-void	bus_space_unmap __P((bus_space_tag_t, bus_space_handle_t, bus_size_t));
-
-/*
- *	int bus_space_subregion __P((bus_space_tag_t t,
+void	bus_space_unmap(bus_space_tag_t, bus_space_handle_t, bus_size_t);
+
+/*
+ *	int bus_space_subregion(bus_space_tag_t t,
  *	    bus_space_handle_t bsh, bus_size_t offset, bus_size_t size,
- *	    bus_space_handle_t *nbshp));
+ *	    bus_space_handle_t *nbshp);
  *
  * Get a new handle for a subregion of an already-mapped area of bus space.
  */
 
-int	bus_space_subregion __P((bus_space_tag_t t, bus_space_handle_t bsh,
-	    bus_size_t offset, bus_size_t size, bus_space_handle_t *nbshp));
-
-/*
- *	int bus_space_alloc __P((bus_space_tag_t t, bus_addr_t, rstart,
+int	bus_space_subregion(bus_space_tag_t t, bus_space_handle_t bsh,
+	    bus_size_t offset, bus_size_t size, bus_space_handle_t *nbshp);
+
+/*
+ *	int bus_space_alloc(bus_space_tag_t t, bus_addr_t, rstart,
  *	    bus_addr_t rend, bus_size_t size, bus_size_t align,
  *	    bus_size_t boundary, int flags, bus_addr_t *addrp,
- *	    bus_space_handle_t *bshp));
+ *	    bus_space_handle_t *bshp);
  *
  * Allocate a region of bus space.
  */
 
-int	bus_space_alloc __P((bus_space_tag_t t, bus_addr_t rstart,
+int	bus_space_alloc(bus_space_tag_t t, bus_addr_t rstart,
 	    bus_addr_t rend, bus_size_t size, bus_size_t align,
 	    bus_size_t boundary, int cacheable, bus_addr_t *addrp,
-	    bus_space_handle_t *bshp));
-
-/*
- *	int bus_space_free __P((bus_space_tag_t t,
- *	    bus_space_handle_t bsh, bus_size_t size));
+	    bus_space_handle_t *bshp);
+
+/*
+ *	int bus_space_free(bus_space_tag_t t,
+ *	    bus_space_handle_t bsh, bus_size_t size);
  *
  * Free a region of bus space.
  */
 
-void	bus_space_free __P((bus_space_tag_t t, bus_space_handle_t bsh,
-	    bus_size_t size));
-
-/*
- *	void *bus_space_vaddr __P((bus_space_tag_t, bus_space_handle_t));
+void	bus_space_free(bus_space_tag_t t, bus_space_handle_t bsh,
+	    bus_size_t size);
+
+/*
+ *	void *bus_space_vaddr(bus_space_tag_t, bus_space_handle_t);
  *
  * Get the kernel virtual address for the mapped bus space.
@@ -123,6 +123,6 @@
 
 /*
- *	u_intN_t bus_space_read_N __P((bus_space_tag_t tag,
- *	    bus_space_handle_t bsh, bus_size_t offset));
+ *	u_intN_t bus_space_read_N(bus_space_tag_t tag,
+ *	    bus_space_handle_t bsh, bus_size_t offset);
  *
  * Read a 1, 2, 4, or 8 byte quantity from bus space
@@ -137,5 +137,5 @@
 
 #define	bus_space_read_4(t, h, o)					\
-     ((void) t, (*(volatile u_int32_t *)((h) + (o))))
+     ((void) t, (*(volatile uint32_t *)((h) + (o))))
 
 #if 0	/* Cause a link error for bus_space_read_8 */
@@ -144,7 +144,7 @@
 
 /*
- *	void bus_space_read_multi_N __P((bus_space_tag_t tag,
+ *	void bus_space_read_multi_N(bus_space_tag_t tag,
  *	    bus_space_handle_t bsh, bus_size_t offset,
- *	    u_intN_t *addr, size_t count));
+ *	    u_intN_t *addr, size_t count);
  *
  * Read `count' 1, 2, 4, or 8 byte quantities from bus space
@@ -154,14 +154,14 @@
 #define __PMAX_bus_space_read_multi(BYTES,BITS)				\
 static __inline void __CONCAT(bus_space_read_multi_,BYTES)		\
-	__P((bus_space_tag_t, bus_space_handle_t, bus_size_t,		\
-	__PB_TYPENAME(BITS) *, size_t));				\
+	(bus_space_tag_t, bus_space_handle_t, bus_size_t,		\
+	__PB_TYPENAME(BITS) *, size_t);					\
 									\
 static __inline void							\
-__CONCAT(bus_space_read_multi_,BYTES)(t, h, o, a, c)			\
-	bus_space_tag_t t;						\
-	bus_space_handle_t h;						\
-	bus_size_t o;							\
-	__PB_TYPENAME(BITS) *a;						\
-	size_t c;							\
+__CONCAT(bus_space_read_multi_,BYTES)(					\
+	bus_space_tag_t t,						\
+	bus_space_handle_t h,						\
+	bus_size_t o,							\
+	__PB_TYPENAME(BITS) *a,						\
+	size_t c)							\
 {									\
 									\
@@ -181,7 +181,7 @@
 
 /*
- *	void bus_space_read_region_N __P((bus_space_tag_t tag,
+ *	void bus_space_read_region_N(bus_space_tag_t tag,
  *	    bus_space_handle_t bsh, bus_size_t offset,
- *	    u_intN_t *addr, size_t count));
+ *	    u_intN_t *addr, size_t count);
  *
  * Read `count' 1, 2, 4, or 8 byte quantities from bus space
@@ -192,14 +192,14 @@
 #define __PMAX_bus_space_read_region(BYTES,BITS)			\
 static __inline void __CONCAT(bus_space_read_region_,BYTES)		\
-	__P((bus_space_tag_t, bus_space_handle_t, bus_size_t,		\
-	__PB_TYPENAME(BITS) *, size_t));				\
+	(bus_space_tag_t, bus_space_handle_t, bus_size_t,		\
+	__PB_TYPENAME(BITS) *, size_t);					\
 									\
 static __inline void							\
-__CONCAT(bus_space_read_region_,BYTES)(t, h, o, a, c)			\
-	bus_space_tag_t t;						\
-	bus_space_handle_t h;						\
-	bus_size_t o;							\
-	__PB_TYPENAME(BITS) *a;						\
-	size_t c;							\
+__CONCAT(bus_space_read_region_,BYTES)(					\
+	bus_space_tag_t t,						\
+	bus_space_handle_t h,						\
+	bus_size_t o,							\
+	__PB_TYPENAME(BITS) *a,						\
+	size_t c)							\
 {									\
 									\
@@ -221,7 +221,7 @@
 
 /*
- *	void bus_space_write_N __P((bus_space_tag_t tag,
+ *	void bus_space_write_N(bus_space_tag_t tag,
  *	    bus_space_handle_t bsh, bus_size_t offset,
- *	    u_intN_t value));
+ *	    u_intN_t value);
  *
  * Write the 1, 2, 4, or 8 byte value `value' to bus space
@@ -232,5 +232,5 @@
 do {									\
 	(void) t;							\
-	*(volatile u_int8_t *)((h) + (o)) = (v);			\
+	*(volatile uint8_t *)((h) + (o)) = (v);				\
 	wbflush();					/* XXX */	\
 } while (0)
@@ -239,5 +239,5 @@
 do {									\
 	(void) t;							\
-	*(volatile u_int16_t *)((h) + (o)) = (v);			\
+	*(volatile uint16_t *)((h) + (o)) = (v);			\
 	wbflush();					/* XXX */	\
 } while (0)
@@ -246,5 +246,5 @@
 do {									\
 	(void) t;							\
-	*(volatile u_int32_t *)((h) + (o)) = (v);			\
+	*(volatile uint32_t *)((h) + (o)) = (v);			\
 	wbflush();					/* XXX */	\
 } while (0)
@@ -255,7 +255,7 @@
 
 /*
- *	void bus_space_write_multi_N __P((bus_space_tag_t tag,
+ *	void bus_space_write_multi_N(bus_space_tag_t tag,
  *	    bus_space_handle_t bsh, bus_size_t offset,
- *	    const u_intN_t *addr, size_t count));
+ *	    const u_intN_t *addr, size_t count);
  *
  * Write `count' 1, 2, 4, or 8 byte quantities from the buffer
@@ -265,14 +265,14 @@
 #define __PMAX_bus_space_write_multi(BYTES,BITS)			\
 static __inline void __CONCAT(bus_space_write_multi_,BYTES)		\
-	__P((bus_space_tag_t, bus_space_handle_t, bus_size_t,		\
-	__PB_TYPENAME(BITS) *, size_t));				\
+	(bus_space_tag_t, bus_space_handle_t, bus_size_t,		\
+	__PB_TYPENAME(BITS) *, size_t);					\
 									\
 static __inline void							\
-__CONCAT(bus_space_write_multi_,BYTES)(t, h, o, a, c)			\
-	bus_space_tag_t t;						\
-	bus_space_handle_t h;						\
-	bus_size_t o;							\
-	__PB_TYPENAME(BITS) *a;						\
-	size_t c;							\
+__CONCAT(bus_space_write_multi_,BYTES)(					\
+	bus_space_tag_t t,						\
+	bus_space_handle_t h,						\
+	bus_size_t o,							\
+	__PB_TYPENAME(BITS) *a,						\
+	size_t c)							\
 {									\
 									\
@@ -293,7 +293,7 @@
 
 /*
- *	void bus_space_write_region_N __P((bus_space_tag_t tag,
+ *	void bus_space_write_region_N(bus_space_tag_t tag,
  *	    bus_space_handle_t bsh, bus_size_t offset,
- *	    const u_intN_t *addr, size_t count));
+ *	    const u_intN_t *addr, size_t count);
  *
  * Write `count' 1, 2, 4, or 8 byte quantities from the buffer provided
@@ -303,14 +303,14 @@
 #define __PMAX_bus_space_write_region(BYTES,BITS)			\
 static __inline void __CONCAT(bus_space_write_region_,BYTES)		\
-	__P((bus_space_tag_t, bus_space_handle_t, bus_size_t,		\
-	__PB_TYPENAME(BITS) *, size_t));				\
+	(bus_space_tag_t, bus_space_handle_t, bus_size_t,		\
+	__PB_TYPENAME(BITS) *, size_t);					\
 									\
 static __inline void							\
-__CONCAT(bus_space_write_region_,BYTES)(t, h, o, a, c)			\
-	bus_space_tag_t t;						\
-	bus_space_handle_t h;						\
-	bus_size_t o;							\
-	__PB_TYPENAME(BITS) *a;						\
-	size_t c;							\
+__CONCAT(bus_space_write_region_,BYTES)(				\
+	bus_space_tag_t t,						\
+	bus_space_handle_t h,						\
+	bus_size_t o,							\
+	__PB_TYPENAME(BITS) *a,						\
+	size_t c)							\
 {									\
 									\
@@ -333,7 +333,7 @@
 
 /*
- *	void bus_space_set_multi_N __P((bus_space_tag_t tag,
+ *	void bus_space_set_multi_N(bus_space_tag_t tag,
  *	    bus_space_handle_t bsh, bus_size_t offset, u_intN_t val,
- *	    size_t count));
+ *	    size_t count);
  *
  * Write the 1, 2, 4, or 8 byte value `val' to bus space described
@@ -343,14 +343,14 @@
 #define __PMAX_bus_space_set_multi(BYTES,BITS)				\
 static __inline void __CONCAT(bus_space_set_multi_,BYTES)		\
-	__P((bus_space_tag_t, bus_space_handle_t, bus_size_t,		\
-	__PB_TYPENAME(BITS), size_t));					\
+	(bus_space_tag_t, bus_space_handle_t, bus_size_t,		\
+	__PB_TYPENAME(BITS), size_t);					\
 									\
 static __inline void							\
-__CONCAT(bus_space_set_multi_,BYTES)(t, h, o, v, c)			\
-	bus_space_tag_t t;						\
-	bus_space_handle_t h;						\
-	bus_size_t o;							\
-	__PB_TYPENAME(BITS) v;						\
-	size_t c;							\
+__CONCAT(bus_space_set_multi_,BYTES)(					\
+	bus_space_tag_t t,						\
+	bus_space_handle_t h,						\
+	bus_size_t o,							\
+	__PB_TYPENAME(BITS) v,						\
+	size_t c)							\
 {									\
 									\
@@ -371,7 +371,7 @@
 
 /*
- *	void bus_space_set_region_N __P((bus_space_tag_t tag,
+ *	void bus_space_set_region_N(bus_space_tag_t tag,
  *	    bus_space_handle_t bsh, bus_size_t offset, u_intN_t val,
- *	    size_t count));
+ *	    size_t count);
  *
  * Write `count' 1, 2, 4, or 8 byte value `val' to bus space described
@@ -381,14 +381,14 @@
 #define __PMAX_bus_space_set_region(BYTES,BITS)				\
 static __inline void __CONCAT(bus_space_set_region_,BYTES)		\
-	__P((bus_space_tag_t, bus_space_handle_t, bus_size_t,		\
-	__PB_TYPENAME(BITS), size_t));					\
+	(bus_space_tag_t, bus_space_handle_t, bus_size_t,		\
+	__PB_TYPENAME(BITS), size_t);					\
 									\
 static __inline void							\
-__CONCAT(bus_space_set_region_,BYTES)(t, h, o, v, c)			\
-	bus_space_tag_t t;						\
-	bus_space_handle_t h;						\
-	bus_size_t o;							\
-	__PB_TYPENAME(BITS) v;						\
-	size_t c;							\
+__CONCAT(bus_space_set_region_,BYTES)(					\
+	bus_space_tag_t t,						\
+	bus_space_handle_t h,						\
+	bus_size_t o,							\
+	__PB_TYPENAME(BITS) v,						\
+	size_t c)							\
 {									\
 									\
@@ -411,8 +411,8 @@
 
 /*
- *	void bus_space_copy_region_N __P((bus_space_tag_t tag,
+ *	void bus_space_copy_region_N(bus_space_tag_t tag,
  *	    bus_space_handle_t bsh1, bus_size_t off1,
  *	    bus_space_handle_t bsh2, bus_size_t off2,
- *	    bus_size_t count));
+ *	    bus_size_t count);
  *
  * Copy `count' 1, 2, 4, or 8 byte values from bus space starting
@@ -422,14 +422,15 @@
 #define	__PMAX_copy_region(BYTES)					\
 static __inline void __CONCAT(bus_space_copy_region_,BYTES)		\
-	__P((bus_space_tag_t,						\
+	   (bus_space_tag_t,						\
 	    bus_space_handle_t bsh1, bus_size_t off1,			\
 	    bus_space_handle_t bsh2, bus_size_t off2,			\
-	    bus_size_t count));						\
+	    bus_size_t count);						\
 									\
 static __inline void							\
-__CONCAT(bus_space_copy_region_,BYTES)(t, h1, o1, h2, o2, c)		\
-	bus_space_tag_t t;						\
-	bus_space_handle_t h1, h2;					\
-	bus_size_t o1, o2, c;						\
+__CONCAT(bus_space_copy_region_,BYTES)(					\
+	bus_space_tag_t t,						\
+	bus_space_handle_t h1, bus_size_t o1,				\
+	bus_space_handle_t h2, bus_size_t o2,				\
+	bus_size_t c)							\
 {									\
 	bus_size_t o;							\
@@ -462,7 +463,7 @@
  * Bus read/write barrier methods.
  *
- *	void bus_space_barrier __P((bus_space_tag_t tag,
+ *	void bus_space_barrier(bus_space_tag_t tag,
  *	    bus_space_handle_t bsh, bus_size_t offset,
- *	    bus_size_t len, int flags));
+ *	    bus_size_t len, int flags);
  *
  * On the MIPS, we just flush the write buffer.
@@ -538,31 +539,31 @@
 	 * DMA mapping methods.
 	 */
-	int	(*_dmamap_create) __P((bus_dma_tag_t, bus_size_t, int,
-		    bus_size_t, bus_size_t, int, bus_dmamap_t *));
-	void	(*_dmamap_destroy) __P((bus_dma_tag_t, bus_dmamap_t));
-	int	(*_dmamap_load) __P((bus_dma_tag_t, bus_dmamap_t, void *,
-		    bus_size_t, struct proc *, int));
-	int	(*_dmamap_load_mbuf) __P((bus_dma_tag_t, bus_dmamap_t,
-		    struct mbuf *, int));
-	int	(*_dmamap_load_uio) __P((bus_dma_tag_t, bus_dmamap_t,
-		    struct uio *, int));
-	int	(*_dmamap_load_raw) __P((bus_dma_tag_t, bus_dmamap_t,
-		    bus_dma_segment_t *, int, bus_size_t, int));
-	void	(*_dmamap_unload) __P((bus_dma_tag_t, bus_dmamap_t));
-	void	(*_dmamap_sync) __P((bus_dma_tag_t, bus_dmamap_t,
-		    bus_addr_t, bus_size_t, int));
+	int	(*_dmamap_create)(bus_dma_tag_t, bus_size_t, int,
+		    bus_size_t, bus_size_t, int, bus_dmamap_t *);
+	void	(*_dmamap_destroy)(bus_dma_tag_t, bus_dmamap_t);
+	int	(*_dmamap_load)(bus_dma_tag_t, bus_dmamap_t, void *,
+		    bus_size_t, struct proc *, int);
+	int	(*_dmamap_load_mbuf)(bus_dma_tag_t, bus_dmamap_t,
+		    struct mbuf *, int);
+	int	(*_dmamap_load_uio)(bus_dma_tag_t, bus_dmamap_t,
+		    struct uio *, int);
+	int	(*_dmamap_load_raw)(bus_dma_tag_t, bus_dmamap_t,
+		    bus_dma_segment_t *, int, bus_size_t, int);
+	void	(*_dmamap_unload)(bus_dma_tag_t, bus_dmamap_t);
+	void	(*_dmamap_sync)(bus_dma_tag_t, bus_dmamap_t,
+		    bus_addr_t, bus_size_t, int);
 
 	/*
 	 * DMA memory utility functions.
 	 */
-	int	(*_dmamem_alloc) __P((bus_dma_tag_t, bus_size_t, bus_size_t,
-		    bus_size_t, bus_dma_segment_t *, int, int *, int));
-	void	(*_dmamem_free) __P((bus_dma_tag_t,
-		    bus_dma_segment_t *, int));
-	int	(*_dmamem_map) __P((bus_dma_tag_t, bus_dma_segment_t *,
-		    int, size_t, void **, int));
-	void	(*_dmamem_unmap) __P((bus_dma_tag_t, void *, size_t));
-	paddr_t	(*_dmamem_mmap) __P((bus_dma_tag_t, bus_dma_segment_t *,
-		    int, off_t, int, int));
+	int	(*_dmamem_alloc)(bus_dma_tag_t, bus_size_t, bus_size_t,
+		    bus_size_t, bus_dma_segment_t *, int, int *, int);
+	void	(*_dmamem_free)(bus_dma_tag_t,
+		    bus_dma_segment_t *, int);
+	int	(*_dmamem_map)(bus_dma_tag_t, bus_dma_segment_t *,
+		    int, size_t, void **, int);
+	void	(*_dmamem_unmap)(bus_dma_tag_t, void *, size_t);
+	paddr_t	(*_dmamem_mmap)(bus_dma_tag_t, bus_dma_segment_t *,
+		    int, off_t, int, int);
 };
 
@@ -626,37 +627,37 @@
 void	pmax_bus_dma_init(void);
 
-int	_bus_dmamap_create __P((bus_dma_tag_t, bus_size_t, int, bus_size_t,
-	    bus_size_t, int, bus_dmamap_t *));
-void	_bus_dmamap_destroy __P((bus_dma_tag_t, bus_dmamap_t));
-int	_bus_dmamap_load __P((bus_dma_tag_t, bus_dmamap_t, void *,
-	    bus_size_t, struct proc *, int));
-int	_bus_dmamap_load_mbuf __P((bus_dma_tag_t, bus_dmamap_t,
-	    struct mbuf *, int));
-int	_bus_dmamap_load_uio __P((bus_dma_tag_t, bus_dmamap_t,
-	    struct uio *, int));
-int	_bus_dmamap_load_raw __P((bus_dma_tag_t, bus_dmamap_t,
-	    bus_dma_segment_t *, int, bus_size_t, int));
-void	_bus_dmamap_unload __P((bus_dma_tag_t, bus_dmamap_t));
-void	_bus_dmamap_sync_r3k __P((bus_dma_tag_t, bus_dmamap_t, bus_addr_t,
-	    bus_size_t, int));
-void	_bus_dmamap_sync_r4k __P((bus_dma_tag_t, bus_dmamap_t, bus_addr_t,
-	    bus_size_t, int));
-
-int	_bus_dmamem_alloc __P((bus_dma_tag_t tag, bus_size_t size,
+int	_bus_dmamap_create(bus_dma_tag_t, bus_size_t, int, bus_size_t,
+	    bus_size_t, int, bus_dmamap_t *);
+void	_bus_dmamap_destroy(bus_dma_tag_t, bus_dmamap_t);
+int	_bus_dmamap_load(bus_dma_tag_t, bus_dmamap_t, void *,
+	    bus_size_t, struct proc *, int);
+int	_bus_dmamap_load_mbuf(bus_dma_tag_t, bus_dmamap_t,
+	    struct mbuf *, int);
+int	_bus_dmamap_load_uio(bus_dma_tag_t, bus_dmamap_t,
+	    struct uio *, int);
+int	_bus_dmamap_load_raw(bus_dma_tag_t, bus_dmamap_t,
+	    bus_dma_segment_t *, int, bus_size_t, int);
+void	_bus_dmamap_unload(bus_dma_tag_t, bus_dmamap_t);
+void	_bus_dmamap_sync_r3k(bus_dma_tag_t, bus_dmamap_t, bus_addr_t,
+	    bus_size_t, int);
+void	_bus_dmamap_sync_r4k(bus_dma_tag_t, bus_dmamap_t, bus_addr_t,
+	    bus_size_t, int);
+
+int	_bus_dmamem_alloc(bus_dma_tag_t tag, bus_size_t size,
 	    bus_size_t alignment, bus_size_t boundary,
-	    bus_dma_segment_t *segs, int nsegs, int *rsegs, int flags));
-void	_bus_dmamem_free __P((bus_dma_tag_t tag, bus_dma_segment_t *segs,
-	    int nsegs));
-int	_bus_dmamem_map __P((bus_dma_tag_t tag, bus_dma_segment_t *segs,
-	    int nsegs, size_t size, void **kvap, int flags));
-void	_bus_dmamem_unmap __P((bus_dma_tag_t tag, void *kva,
-	    size_t size));
-paddr_t	_bus_dmamem_mmap __P((bus_dma_tag_t tag, bus_dma_segment_t *segs,
-	    int nsegs, off_t off, int prot, int flags));
-
-int	_bus_dmamem_alloc_range __P((bus_dma_tag_t tag, bus_size_t size,
+	    bus_dma_segment_t *segs, int nsegs, int *rsegs, int flags);
+void	_bus_dmamem_free(bus_dma_tag_t tag, bus_dma_segment_t *segs,
+	    int nsegs);
+int	_bus_dmamem_map(bus_dma_tag_t tag, bus_dma_segment_t *segs,
+	    int nsegs, size_t size, void **kvap, int flags);
+void	_bus_dmamem_unmap(bus_dma_tag_t tag, void *kva,
+	    size_t size);
+paddr_t	_bus_dmamem_mmap(bus_dma_tag_t tag, bus_dma_segment_t *segs,
+	    int nsegs, off_t off, int prot, int flags);
+
+int	_bus_dmamem_alloc_range(bus_dma_tag_t tag, bus_size_t size,
 	    bus_size_t alignment, bus_size_t boundary,
 	    bus_dma_segment_t *segs, int nsegs, int *rsegs, int flags,
-	    vaddr_t low, vaddr_t high));
+	    vaddr_t low, vaddr_t high);
 
 extern struct pmax_bus_dma_tag pmax_default_bus_dma_tag;
Index: /trunk/src/sys/arch/pmax/include/dec_prom.h
===================================================================
--- /trunk/src/sys/arch/pmax/include/dec_prom.h	(revision 151)
+++ /trunk/src/sys/arch/pmax/include/dec_prom.h	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: dec_prom.h,v 1.20.96.1 2009/09/16 19:23:18 matt Exp $	*/
+/*	$NetBSD: dec_prom.h,v 1.20.96.2 2010/12/29 00:16:30 matt Exp $	*/
 
 /*
@@ -146,6 +146,8 @@
 extern const struct callback callvec;
 #endif
+intptr_t promcall(void *, ...);
 
 #if defined(_STANDALONE) && !defined(_NO_PROM_DEFINES)
+#if 0
 #define memcpy (*callv -> _memcpy)
 #define memset (*callv -> _memset)
@@ -189,4 +191,5 @@
 #define execute_cmd (*callv -> _execute_cmd)
 #define rex (*callv -> _rex)
+#endif
 
 #define bzero(dst, len) memset(dst, 0, len)
Index: /trunk/src/sys/arch/pmax/include/intr.h
===================================================================
--- /trunk/src/sys/arch/pmax/include/intr.h	(revision 151)
+++ /trunk/src/sys/arch/pmax/include/intr.h	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: intr.h,v 1.32.28.1 2010/02/06 02:57:44 matt Exp $	*/
+/*	$NetBSD: intr.h,v 1.32.28.3 2010/12/29 00:19:12 matt Exp $	*/
 
 /*
@@ -37,65 +37,13 @@
 #include <sys/queue.h>
 
-#define	IPL_NONE	0	/* disable only this interrupt */
-#define	IPL_SOFTCLOCK	1	/* clock software interrupts (SI 0) */
-#define	IPL_SOFTBIO	1	/* generic software interrupts (SI 0) */
-#define	IPL_SOFTNET	2	/* network software interrupts (SI 1) */
-#define	IPL_SOFTSERIAL	2	/* serial software interrupts (SI 1) */
-#define	IPL_VM		3
-#define	IPL_SCHED	4
-#define	IPL_HIGH	5
-
-#define	_IPL_N		6
-
-#define	_IPL_SI0_FIRST	IPL_SOFTCLOCK
-#define	_IPL_SI0_LAST	IPL_SOFTBIO
-
-#define	_IPL_SI1_FIRST	IPL_SOFTNET
-#define	_IPL_SI1_LAST	IPL_SOFTSERIAL
+#include <mips/intr.h>
 
 #ifdef _KERNEL
 #ifndef _LOCORE
 
-#include <mips/cpuregs.h>
-#include <mips/locore.h>
-
-#define spl0()		(void)_spllower(0)
-#define splx(s)		(void)_splset(s)
-#define splvm()		splraiseipl(makeiplcookie(IPL_VM))
-#define splsched()	splraiseipl(makeiplcookie(IPL_SCHED))
-#define splhigh()	_splraise(MIPS_INT_MASK)
-
-#define	_SPL_SOFT	MIPS_SOFT_INT_MASK_0
-#define	_SPL_SOFTCLOCK	MIPS_SOFT_INT_MASK_0
-#define	_SPL_SOFTNET	(MIPS_SOFT_INT_MASK_0|MIPS_SOFT_INT_MASK_1)
-#define	_SPL_SOFTSERIAL	(MIPS_SOFT_INT_MASK_0|MIPS_SOFT_INT_MASK_1)
-
-#define splsoftclock()	_splraise(_SPL_SOFTCLOCK)
-#define splsoftbio()	_splraise(_SPL_SOFTBIO)
-#define splsoftnet()	_splraise(_SPL_SOFTNET)
-#define splsoftserial()	_splraise(_SPL_SOFTSERIAL)
-
-extern const int *ipl2spl_table;
-
-typedef int ipl_t;
-typedef struct {
-	int _spl;
-} ipl_cookie_t;
-
-ipl_cookie_t makeiplcookie(ipl_t);
-
-static inline int
-splraiseipl(ipl_cookie_t icookie)
-{
-
-	return _splraise(icookie._spl);
-}
-
-/* Conventionals ... */
-
-#define MIPS_SPLHIGH (MIPS_INT_MASK)
-#define MIPS_SPL0 (MIPS_INT_MASK_0|MIPS_SOFT_INT_MASK_0|MIPS_SOFT_INT_MASK_1)
-#define MIPS_SPL1 (MIPS_INT_MASK_1|MIPS_SOFT_INT_MASK_0|MIPS_SOFT_INT_MASK_1)
-#define MIPS_SPL3 (MIPS_INT_MASK_3|MIPS_SOFT_INT_MASK_0|MIPS_SOFT_INT_MASK_1)
+#define MIPS_SPLHIGH	(MIPS_INT_MASK)
+#define MIPS_SPL0	(MIPS_INT_MASK_0|MIPS_SOFT_INT_MASK)
+#define MIPS_SPL1	(MIPS_INT_MASK_1|MIPS_SOFT_INT_MASK)
+#define MIPS_SPL3	(MIPS_INT_MASK_3|MIPS_SOFT_INT_MASK)
 #define MIPS_SPL_0_1	 (MIPS_INT_MASK_1|MIPS_SPL0)
 #define MIPS_SPL_0_1_2	 (MIPS_INT_MASK_2|MIPS_SPL_0_1)
@@ -104,5 +52,5 @@
 
 struct intrhand {
-	int	(*ih_func) __P((void *));
+	int	(*ih_func)(void *);
 	void	*ih_arg;
 	struct evcnt ih_count;
Index: /trunk/src/sys/arch/pmax/include/param.h
===================================================================
--- /trunk/src/sys/arch/pmax/include/param.h	(revision 151)
+++ /trunk/src/sys/arch/pmax/include/param.h	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: param.h,v 1.38.76.1 2009/08/22 06:45:30 matt Exp $	*/
+/*	$NetBSD: param.h,v 1.38.76.2 2010/12/24 07:23:41 matt Exp $	*/
 
 /*
@@ -102,7 +102,7 @@
 #ifndef _LOCORE
 
-void	delay __P((int n));
+void	delay(int n);
 extern	int cpuspeed;
-static __inline void __attribute__((__unused__))
+static __inline void __unused
 DELAY(int n)
 {
